%define _unpackaged_files_terminate_build 0
%define name multiprocessing
%define version 2.6.1.1
%define unmangled_version 2.6.1.1
%define release 1

Summary: Backport of the multiprocessing package to Python 2.4 and 2.5
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{unmangled_version}.tar.gz
License: BSD Licence
Group: Development/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Prefix: %{_prefix}
Vendor: Christian Heimes <christian at cheimes dot de>
Url: http://code.google.com/p/python-multiprocessing

%description
==================================
python-multiprocessing
==================================

About
-----

`multiprocessing` is a back port of the Python 2.6/3.0 `multiprocessing <http://docs.python.org/library/multiprocessing.html>`_
package. The multiprocessing package itself is a renamed and updated version of 
R Oudkerk's `pyprocessing <http://pypi.python.org/pypi/processing/>`_ package.
This standalone variant is intended to be compatible with Python 2.4 and 2.5, 
and will draw it's fixes/improvements from python-trunk.

This package would not be possible if not for the contributions of not only
the current maintainers but all of the contributors to the original pyprocessing
package listed `here <http://pyprocessing.berlios.de/doc/THANKS.html>`_

The multiprocessing package monkey patches several aspects of the `threading`
module to make it forward compatible with Python 2.6. The patches are 
non-intrusive and don't change existing functions. See `multiprocessing.patch`
for detailed informations.

Please refer to `<http://www.python.org/doc/2.6/library/multiprocessing.html>`_
for more information about the `multiprocessing` package.

Bug reporting
-------------

Please report bugs related to multiprocessing at the `Python bug 
tracker <http://bugs.python.org/>`_. Issues related to the packaging of
multiprocessing should be reported at `<http://code.google.com/p/python-multiprocessing/>`_.


%prep
%setup -n %{name}-%{unmangled_version}

%build
env CFLAGS="$RPM_OPT_FLAGS" python setup.py build

%install
python setup.py install --single-version-externally-managed --root=$RPM_BUILD_ROOT --record=INSTALLED_FILES

%clean
rm -rf $RPM_BUILD_ROOT

%files -f INSTALLED_FILES
%defattr(-,root,root)

%changelog
* Sun Dec 7 2008 Christian Heimes <christian@cheimes.de> - 2.6.1.1
- Fixed an issue with `make doc`
- mp docs - fix issues 4012,3518,4193 (Python svn: r67419)
- issue4238: bsd support for cpu_count (Python svn: r67423)
- Move definition int sval into branch of ifdef where it is used.
  Otherwise, you get a warning about an undefined variable.
  (Python svn: r67440)
- Fixed a segfault in connection_recvbytes_into() which occured
  with Python debug builds on 64bit Linux.
- Added reference to `Issue 1683 http://bugs.python.org/issue1683`_.
- issue 4301: patch logging to add processName, remove the old 
  _check_logger_class code (Python svn: r68737)
- Resolve issue 3321: (segfault) _multiprocessing.Connection() 
  doesn't check handle (Python svn: r68768)
- Documentation update

* Thu Nov 27 2008 Christian Heimes <christian@cheimes.de> - 2.6.0.2
- The release is based on 2.6.0+ and contains additional fixes
  from Python svn.
- Issue #5: Added monkey patch to make the threading module forward 
  compatible with Python 2.6 and 3.0.
- Python Issue #4204: Fixed a compilation issue on FreeBSD 4.
- Removed ``install`` target from Makefile.
- Updated comments of Modules/mmapmodules.c. The modifications
  and origin are clearly marked now.
- Added sphinx builder for docs and new make target ``docs``.
- Changed version schema to Python.version.number.internal_revision
- Pulled doc fixes from Python svn: r67189, r67330, r67332

* Mon Oct 27 2008 Christian Heimes <christian@cheimes.de> - 2.6.0-0.1
- The release is based on Python 2.6.0.
- Initial release
